#include "src_model.h"

#include <stdio.h>

extern double exp1_get_condition_rt_mean(GlobalVariables *gv, TrainingType tt, int condition);
extern double exp1_get_condition_rt_se(GlobalVariables *gv, TrainingType tt, int condition);
extern double exp1_get_condition_difference_mean(GlobalVariables *gv, TrainingType tt);
extern double exp1_get_condition_difference_se(GlobalVariables *gv, TrainingType tt);
extern double exp1_get_condition_difference_t(GlobalVariables *gv);

extern double exp1_get_condition_average_mean(GlobalVariables *gv, TrainingType tt);
extern double exp1_get_condition_average_se(GlobalVariables *gv, TrainingType tt);
extern double exp1_get_condition_difference_overall_mean(GlobalVariables *gv);
extern double exp1_get_condition_difference_overall_se(GlobalVariables *gv);

extern void exp1_print_analysis(FILE *fp, GlobalVariables *gv);
extern void exp1_do_task(GlobalVariables *gv);

extern double exp2_get_condition_rt_mean(GlobalVariables *gv, TrainingType tt, int condition);
extern double exp2_get_condition_rt_se(GlobalVariables *gv, TrainingType tt, int condition);
extern double exp2_get_condition_difference_mean(GlobalVariables *gv, TrainingType tt);
extern double exp2_get_condition_difference_se(GlobalVariables *gv, TrainingType tt);

extern void exp2_print_analysis(FILE *fp, GlobalVariables *gv);
extern void exp2_do_task(GlobalVariables *gv);

extern double exp2_fit_rms(GlobalVariables *gv);
extern double exp2_fit_max(GlobalVariables *gv);
extern double exp2_fit_psp_score(GlobalVariables *gv, int n);
